pub mod logger {
    use log4rs::append::file::FileAppender;
    use log4rs::Config;
    use log4rs::config::{Appender, Logger, Root};
    use log4rs::encode::pattern::PatternEncoder;
    use log::LevelFilter;

    #[no_mangle]
    pub extern "C" fn init_logger(log_file_name: &str, level_filter: LevelFilter) {
        let file_path = format!(".\\logs\\{}.log", log_file_name);
        let mut config_builder = Config::builder();
        let file = FileAppender::builder()
            .encoder(Box::new(PatternEncoder::new("[{d(%Y-%m-%d %H:%M:%S%.3f)}] {(\\({tid}\\)):7.7} {({l}):5.5} {m}{n}")))
            // .encoder(Box::new(PatternEncoder::new("[{d(%Y-%m-%d %H:%M:%S%.3f)}] {(\\({tid}\\)):7.7} {({l}):5.5} {t} {m}{n}")))
            .build(&file_path)
            .unwrap();
        config_builder = config_builder.appender(Appender::builder().build("file", Box::new(file)));
        let mut tag_logger = Logger::builder();
        tag_logger = tag_logger.appender("file");
        tag_logger = tag_logger.additive(true);
        let wecode_log = tag_logger.clone().build("nezha", level_filter);
        config_builder = config_builder.logger(wecode_log);
        let config = config_builder.build(Root::builder().build(level_filter)).expect("build log failed");
        let handle_res = log4rs::init_config(config).expect("init log config failed");
    }
}