#[cfg(test)]
mod tests {
    use std::thread;
    use std::time::Duration;
    use futures::executor::block_on;
    use log::{debug, error, info, LevelFilter, trace, warn};
    use crate::base::logger::logger::init_logger;
    use crate::sms::sms::sms::sms_target;

    #[test]
    fn test_send_msg(){

        init_logger("abc", LevelFilter::Trace);

        let res = sms_target(&"",&"18227630764");
        block_on(res);

        trace!("trace!");
        debug!("debug!");
        info!("info!");
        warn!("warn!");
        error!("error!");

        thread::sleep(Duration::from_secs(10));

    }


}